Browse Source

Issue #1392 - Change --enable-eme to MOZ_ARG_ENABLE_BOOL and remove MOZ_EME_MODULES

pull/24/head
Matt A. Tobin 3 years ago committed by Roy Tam
parent
commit
d9ce74b9da
  1. 26
      old-configure.in

26
old-configure.in

@ -2901,25 +2901,12 @@ dnl ========================================================
dnl = EME support
dnl ========================================================
MOZ_ARG_ENABLE_STRING(eme,
[ --enable-eme[=widevine] Enable support for Encrypted Media Extensions ],
MOZ_EME_ARGS=$enableval)
if test "$MOZ_EME_ARGS"; then
if test "$MOZ_EME_ARGS" = "no"; then
dnl EME explicitly disabled with --disable-eme
MOZ_EME=
elif test "$MOZ_EME_ARGS" = "yes"; then
dnl EME explicitly enabled with --enable-eme
MOZ_EME=1
else
dnl EME explicitly enabled with --enable-eme=<args>
MOZ_EME=1
MOZ_EME_MODULES=`echo $MOZ_EME_ARGS | sed -e 's/,/ /g'`
fi
fi
MOZ_ARG_ENABLE_BOOL(eme,
[ --enable-eme Enable support for Encrypted Media Extensions ],
MOZ_EME=1,
MOZ_EME=)
AC_SUBST_SET(MOZ_EME_MODULES)
if test -n "$MOZ_EME"; then
if test -z "$MOZ_FMP4"; then
AC_MSG_ERROR([Encrypted Media Extension support requires Fragmented MP4 support])
@ -2927,6 +2914,8 @@ if test -n "$MOZ_EME"; then
AC_DEFINE(MOZ_EME)
fi
AC_SUBST(MOZ_EME)
MOZ_LIBVPX_CFLAGS=
MOZ_LIBVPX_LIBS=
@ -5298,7 +5287,6 @@ AC_SUBST(MOZ_VORBIS)
AC_SUBST(MOZ_TREMOR)
AC_SUBST(MOZ_FFVPX)
AC_SUBST_LIST(FFVPX_ASFLAGS)
AC_SUBST(MOZ_EME)
AC_SUBST(MOZ_VPX_ERROR_CONCEALMENT)
AC_SUBST(VPX_USE_YASM)
AC_SUBST_LIST(VPX_ASFLAGS)

Loading…
Cancel
Save